#!/bin/sh
SERIAL=$(/usr/bin/BioAPITest | sed -ne \
 "/Fingerprint/{n;n;s/^.*: \(.\{9\}\)\(.\{4\}\)\(.\{4\}\)\(.\{4\}\)\(.*\)/\1-\2-\3-\4-\5/gp}")
[ "$(echo "$SERIAL"|wc -c)" == "39" ] || {
    echo "Sorry. Can not find Fingerprint Reader"
    exit 1
    }
echo "Found Fingerprint Reader with serial: $SERIAL"
echo "You should use following directory to store your <username>.bir files:"
echo "	/etc/security/bioapi/$SERIAL"
[ -d /etc/security/bioapi/$SERIAL ] || /bin/mkdir /etc/security/bioapi/$SERIAL

/bin/sed -e "s/-=SERIAL=-/$SERIAL/g" /etc/security/bioapi/fingerprint-auth-template \
 >/etc/pam.d/fingerprint-auth

echo "You can add fingerprint authentication to selected"
echo "services by adding following lines to the stack"
echo "in /etc/pam.d/some-service file:"
echo
echo "    auth     include        fingerprint-auth"
echo " above <auth ... system-auth> line"
echo "    password include        fingerprint-auth"
echo " above <password ... system-auth> line"
echo 
echo "su,xdm,and even login are good candidates"
echo "And do not forget to make <username>.bir files"
echo "for your users using QSample or Sample tools"
echo
    
exit 0

